/*
 * SRTM3Reader a DEMReader  abstract implementation to read and decode SRTM3 datasets
 */
package mccombe.terrain;

import javax.swing.JComponent;

/**
 *
 * @author Mike McCombe
 */
public abstract class SRTM3Reader extends DEMReader {

    public SRTM3Reader(JComponent item) throws MissingDataFileException {
        super(item);
    }

    @Override
    public int recordlength() {
        return recordlength;
    }
    @Override
    public boolean downloadable() {
        return downloadable;
    }


    @Override
    public String extn() {
        return extn;
    }

    @Override
    public boolean littleendian() {
        return littleendian;
    }

    @Override
    public int missingValue() {
        return missingValue;
    }
    protected static final boolean downloadable = false;
    protected static int recordlength = 3601;
    protected static String extn = ".zip";
    protected static boolean littleendian = false;
    protected static int missingValue = -32768;
}
